\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{crcannualconf}[2015/12/14 abstract format for CRC annual conference (JP)] 
\LoadClass[11pt]{jarticle}

\RequirePackage{geometry,color}
\geometry{a4paper}
\geometry{top=25.4mm, left=19.05mm, bottom=25.4mm, right=19.05mm}
\setlength{\listparindent}{0.0pt}
\setlength{\parsep}{0.0pt}
\setlength{\parskip}{0.0pt}
\setlength{\partopsep}{0.0pt}
\setlength{\topsep}{8.0pt}
\setlength{\abovecaptionskip}{5.0pt} 
\setlength{\belowcaptionskip}{2.0pt} 
\renewcommand{\baselinestretch}{1.2}
\renewcommand{\arraystretch}{1.2}
\pagestyle{empty}

\long\def\etitle#1{\long\gdef\@etitle{#1}}
\long\def\crcnum#1{\long\gdef\@crcnum{#1}}

\RequirePackage[noblocks]{authblk}
\renewcommand\Authsep{、}
\renewcommand\Authands{、}
\renewcommand\Authand{、}
\newcommand\Affiland{、}
\newcommand\Affilsepa{}
\renewcommand\Authfont{\sffamily\gtfamily\mdseries\upshape}
\renewcommand\Affilfont{\sffamily\gtfamily\mdseries\upshape}
\renewcommand\AB@authnote[1]{\textsuperscript{\Authfont#1}}
\renewcommand\AB@affilnote[1]{\textsuperscript{\Affilfont#1}}
\setlength{\affilsep}{0.1em}
\renewcommand\affil[2][]{
\newaffiltrue\let\AB@blk@and\AB@pand
      \if\relax#1\relax\def\AB@note{\AB@thenote}\else\def\AB@note{#1}%
        \setcounter{Maxaffil}{0}\fi
	\ifnum\value{affil}>1\relax
	\renewcommand{\Affilsepa}{\Affiland}\fi
 	\addtocounter{affil}{1}
      \begingroup
        \let\protect\@unexpandable@protect
        \def\thanks{\protect\thanks}\def\footnote{\protect\footnote}%
        \@temptokena=\expandafter{\AB@authors}%
        {\def\\{\protect\\\protect\Affilfont}\xdef\AB@temp{#2}}%
         \xdef\AB@authors{\the\@temptokena\AB@las\AB@au@str
         \protect\\[\affilsep]\protect\Affilfont\AB@temp}%
         \gdef\AB@las{}\gdef\AB@au@str{}%
        {\def\\{, \ignorespaces}\xdef\AB@temp{#2}}%
        \@temptokena=\expandafter{\AB@affillist}%
        \xdef\AB@affillist{\the\@temptokena \Affilsepa%\AB@affilsep
         \AB@affilnote{\AB@note}\,\protect\Affilfont\AB@temp}%
      \endgroup
       \let\AB@affilsep\AB@affilsepx
}
\renewcommand\@author{\ifx\AB@affillist\AB@empty\AB@author\else
      \ifnum\value{affil}>\value{Maxaffil}\def\rlap##1{##1}%
    \AB@affillist\\[\affilsep]\AB@authlist
    \else  \AB@authors\fi\fi}

\let\@oldmaketitle\@maketitle
\def\@maketitle{
\newpage%\null
\let\footnote\thanks
\noindent
{\sffamily\gtfamily\bfseries\upshape\fontsize{16pt}{16pt}\selectfont
\begin{minipage}[t][][t]{.1\textwidth}
\begin{flushleft}\@crcnum\end{flushleft}
\end{minipage}
\begin{minipage}[t][][t]{.8\textwidth}
\centering\@title
\end{minipage}
\par}
%\vskip 0.5em
\vskip 1em
\centering{
%{\rmfamily\mcfamily\bfseries\upshape\fontsize{16pt}{16pt}\selectfont\@etitle\par}
{\rmfamily\mcfamily\bfseries\upshape\fontsize{13pt}{13pt}\selectfont\@etitle\par}
%\vskip 1em
\vskip 0.5em
{\sffamily\gtfamily\mdseries\upshape\fontsize{12pt}{14pt}\selectfont
\lineskip .5em
\@author
\par}
}
%\vspace{2.5em}
\vspace{2em}
}

\renewcommand{\section}{\@startsection{section}{1}{\z@}
   {0.5em \@plus.1\Cvs \@minus.2\Cvs}
   {0.1em \@plus.1\Cvs \@minus.2\Cvs}
   {\reset@font\sffamily\gtfamily\bfseries\upshape\fontsize{12pt}{12pt}\selectfont}}
\renewcommand{\subsection}{\@startsection{subsection}{2}{\z@}
   {0.3em \@plus.5\Cvs \@minus.2\Cvs}
   {-1em}
   {\reset@font\large\sffamily\gtfamily\bfseries\upshape}}
\renewcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}
   {0.1\Cvs \@plus.5\Cvs \@minus.2\Cvs}
   {-1em}
   {\reset@font\normalsize\rmfamily\mcfamily\bfseries\upshape}}
\renewcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}
   {3.25ex \@plus 1ex \@minus .2ex}
   {-1em}
   {\reset@font\normalsize\sffamily\gtfamily\mdseries\upshape}}
\renewcommand{\subparagraph}{\@startsection{subparagraph}{5}{\z@}
   {3.25ex \@plus 1ex \@minus .2ex}
   {-1em}
   {\reset@font\normalsize\sffamily\gtfamily\mdseries\upshape}}
   
\renewcommand{\thesection}{\arabic{section}.}
\renewcommand{\thesubsection}{(\arabic{subsection})}
\renewcommand{\thesubsubsection}{\textless\alph{subsubsection}\textgreater}

\renewcommand\hrulefill{\textcolor[gray]{0.7}{\leavevmode\leaders\hrule height 1.5pt\hfill\kern\z@}}

\renewenvironment{thebibliography}[1]{
    \global\let\presectionname\relax
    \global\let\postsectionname\relax
    \vskip 0.1em
\noindent\hrulefill
    \vskip 0.3em
    \list{\@biblabel{\@arabic\c@enumiv}}
          {\settowidth\labelwidth{\@biblabel{#1}}
          \leftmargin\labelwidth
          \advance\leftmargin\labelsep
          \setlength\baselineskip{13pt}
          \setlength\itemsep{0.1em}
          \@openbib@code
          \usecounter{enumiv}
          \let\p@enumiv\@empty
          \renewcommand\theenumiv{\@arabic\c@enumiv}}
    \sloppy
    \clubpenalty4000
    \@clubpenalty\clubpenalty
    \widowpenalty4000
    \sfcode`\.\@m}
    {\def\@noitemerr
      {\@latex@warning{Empty `thebibliography' environment}}
    \endlist}
    
\newlength{\profilewidth}
\newcommand{\authorsnote}[5]{\setlength{\profilewidth}{\columnwidth}\addtolength{\profilewidth}{-2.5cm}\vspace{0.5em}\noindent\begin{minipage}{\columnwidth}\begin{minipage}[c]{2.5cm}\includegraphics[width=2.25cm,keepaspectratio#5]{#1}\end{minipage}\begin{minipage}[c]{\profilewidth}\fontsize{8pt}{8pt}\selectfont{\sffamily\gtfamily\bfseries\upshape{#2}}\vspace{1em}\par{\rmfamily\mcfamily\mdseries\upshape{#3}\par\vspace{0.5em}{#4}}\end{minipage}\end{minipage}\vspace{1.5em}}
    
\renewcommand{\figurename}{図}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fnum@figure{\figurename\thefigure}
\renewcommand{\tablename}{表}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fnum@table{\tablename\thetable}
\long\def\@makecaption#1#2{
   \vskip\abovecaptionskip
   \iftdir\sbox\@tempboxa{#1\hskip1zw#2}
   \else  \sbox\@tempboxa{#1.~~#2}
   \fi
   \ifdim \wd\@tempboxa>\hsize
      \iftdir #1\hskip1zw#2\relax\par
      \else   #1.~~#2\relax\par
      \fi
   \else
      \global\@minipagefalse
      \hbox to\hsize{\hfil\box\@tempboxa\hfil}
   \fi
   \vskip\belowcaptionskip}